io.agora.rtc

## Enum Constants.RemoteAudioStateReason

- java.lang.Object
- - java.lang.Enum<Constants.RemoteAudioStateReason>
  - - io.agora.rtc.Constants.RemoteAudioStateReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.RemoteAudioStateReason>
  Enclosing class:
    Constants

      public static enum Constants.RemoteAudioStateReason
      extends java.lang.Enum<Constants.RemoteAudioStateReason>

  Reasons for a remote audio state change.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REMOTE_AUDIO_REASON_INTERNAL` 0: Internal reasons.
    `REMOTE_AUDIO_REASON_LOCAL_MUTED` 3: The local user stops receiving the remote audio stream or disables the audio module.
    `REMOTE_AUDIO_REASON_LOCAL_UNMUTED` 4: The local user resumes receiving the remote audio stream or enables the audio module.
    `REMOTE_AUDIO_REASON_NETWORK_CONGESTION` 1: Network congestion.
    `REMOTE_AUDIO_REASON_NETWORK_RECOVERY` 2: Network recovery.
    `REMOTE_AUDIO_REASON_REMOTE_MUTED` 5: The remote user stops sending the audio stream or disables the audio module.
    `REMOTE_AUDIO_REASON_REMOTE_OFFLINE` 7: The remote user leaves the channel.
    `REMOTE_AUDIO_REASON_REMOTE_UNMUTED` 6: The remote user resumes sending the audio stream or enables the audio module.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value` Integer value of the remote audio state reason

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.RemoteAudioStateReason reason)` Gets the integer value of the remote audio state reason.
    `static Constants.RemoteAudioStateReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.RemoteAudioStateReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOTE_AUDIO_REASON_INTERNAL

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_INTERNAL

      0: Internal reasons.

    - #### REMOTE_AUDIO_REASON_NETWORK_CONGESTION

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_NETWORK_CONGESTION

      1: Network congestion.

    - #### REMOTE_AUDIO_REASON_NETWORK_RECOVERY

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_NETWORK_RECOVERY

      2: Network recovery.

    - #### REMOTE_AUDIO_REASON_LOCAL_MUTED

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_LOCAL_MUTED

      3: The local user stops receiving the remote audio stream or disables the audio module.

    - #### REMOTE_AUDIO_REASON_LOCAL_UNMUTED

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_LOCAL_UNMUTED

      4: The local user resumes receiving the remote audio stream or enables the audio module.

    - #### REMOTE_AUDIO_REASON_REMOTE_MUTED

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_REMOTE_MUTED

      5: The remote user stops sending the audio stream or disables the audio module.

    - #### REMOTE_AUDIO_REASON_REMOTE_UNMUTED

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_REMOTE_UNMUTED

      6: The remote user resumes sending the audio stream or enables the audio module.

    - #### REMOTE_AUDIO_REASON_REMOTE_OFFLINE

          public static final Constants.RemoteAudioStateReason REMOTE_AUDIO_REASON_REMOTE_OFFLINE

      7: The remote user leaves the channel.

  - ### Field Detail

    - #### value

          public final int value

      Integer value of the remote audio state reason

  - ### Method Detail

    - #### values

          public static Constants.RemoteAudioStateReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.RemoteAudioStateReason c : Constants.RemoteAudioStateReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.RemoteAudioStateReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.RemoteAudioStateReason reason)

      Gets the integer value of the remote audio state reason.
      Parameters:
        `reason` - Remote audio state reason
      Returns:
        The integer value